import React from 'react';
import { connect } from 'umi';
import SisformulaComponent from '../../../components/BasicInfoSetting/Sisformula/Sisformula';

function Sisformula({ dispatch, app, content }) {
  function removePane(changePanes, currentPane) {
    dispatch({ type: 'app/removePane', payload: { changePanes, currentPane } });
  }

  function removeModalPan(changePanes) {
    dispatch({ type: 'app/removeModalPane', payload: { changePanes } });
  }

  function addPane(pane) {
    dispatch({ type: 'app/addPane', payload: { pane } });
  }

  const sisFormulaProps = {
    app,
    content,
    dispatch,
    onAddPane: addPane,
    onRemovePane: removePane,
    onRemoveModalPane: removeModalPan,
  };

  return (
    <SisformulaComponent {...sisFormulaProps} />
  );
}

export default connect(({ app, content }) =>
  ({ app, content }))(Sisformula);
